package com.biganto.visual.roompark.data.service.download

import com.biganto.visual.roompark.data.repository.db.requrey.RevisionString
import com.biganto.visual.roompark.data.repository.db.requrey.model.FileEntity
import com.biganto.visual.roompark.data.repository.db.requrey.model.TourFileJunctionEntity
import com.biganto.visual.roomparkvr.data.repository.db.requery.model.DownloadState

/**
 * Created by Vladislav Bogdashkin on 14.04.2020.
 */


data class TourFileData(
    val fileUrl: RevisionString,
    val tourId: String,
    var tempDownloadedSize: Long = 0L,
    var tempOverallFileSize: Long = 0L,
    var fileDownloadedSize: Long = 0L,
    var tempTourTotalDiff: Long = 0L,
    var isDownloaded: Boolean = false,
    val fatalState: DownloadState? = null
) {
    constructor(entity: FileEntity, junction: TourFileJunctionEntity) : this(
        fileUrl = junction.file
        , tourId = junction.tour
        , tempDownloadedSize = 0L
        , tempOverallFileSize = entity.totalSize
        , fileDownloadedSize = entity.downloadedSize
        , tempTourTotalDiff = 0L
        , isDownloaded = entity.isDownloaded
    )
}
